com.google.zxing.client.j2se

## Class MatrixToImageConfig

- java.lang.Object
- - com.google.zxing.client.j2se.MatrixToImageConfig

-     public final class MatrixToImageConfig
      extends Object

  Encapsulates custom configuration used in methods of `MatrixToImageWriter`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BLACK`
    `static int` | `WHITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatrixToImageConfig()` Creates a default config with on color `BLACK` and off color `WHITE`, generating normal black-on-white barcodes.
    `MatrixToImageConfig(int onColor, int offColor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `getBufferedImageColorModel()`
    `int` | `getPixelOffColor()`
    `int` | `getPixelOnColor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLACK

          public static final int BLACK

      See Also:
        Constant Field Values

    - #### WHITE

          public static final int WHITE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MatrixToImageConfig

          public MatrixToImageConfig()

      Creates a default config with on color `BLACK` and off color `WHITE`, generating normal black-on-white barcodes.

    - #### MatrixToImageConfig

          public MatrixToImageConfig(int onColor,
                                     int offColor)

      Parameters:
        `onColor` - pixel on color, specified as an ARGB value as an int
        `offColor` - pixel off color, specified as an ARGB value as an int

  - ### Method Detail

    - #### getBufferedImageColorModel

          int getBufferedImageColorModel()

    - #### getPixelOffColor

          public int getPixelOffColor()

    - #### getPixelOnColor

          public int getPixelOnColor()